# FindStuff and PickStuff for Cities: Skylines 2

Elevate your city-building experience with **FindStuff**, the ultimate mod for effortlessly searching and managing game objects in Cities: Skylines 2. Designed to integrate seamlessly into your gameplay, FindStuff brings powerful features that make game management a breeze. Whether you're in the alpha phase or beyond, this mod is all about enhancing your gameplay with efficiency and convenience.

![Find Stuff Preview](https://i.ibb.co/pwptQW8/preview.png "FindStuff Preview")

### Quick Start
- **Required Mods**: BepInEx5 and Gooee
- **Download**: Get FindStuff and Gooee from our [GitHub repo](https://github.com/Cities2Modding/FindStuff) or directly through Thunderstore.io.
- **Activate**: Click the magnifying glass icon or use the HookUI/Gooee mod backpack icon in-game to start finding stuff with ease!

### Why You'll Love FindStuff
- **One-Window Wonder**: Say goodbye to endless menus. FindStuff brings everything into one easy-to-navigate window.
- **Customizable UI**: Prefer your tools at the top? Want a compact view? You got it. Tailor FindStuff's UI to your liking.
- **Smart Search**: Find exactly what you need with comprehensive search options, including names, tags, and categories.
- **Streamlined Sorting**: Easily sort assets by name, ascending or descending, to quickly find what you're looking for.
- **Language Friendly**: Full support for all default Cities Skylines 2 locales, because everyone deserves to find stuff easily.

### Features at a Glance
- **Enhanced GameObject Finder**: A unified interface with a built-in Picker tool for precision.
- **Menu Behavior Configuration**: Choose how FindStuff plays with vanilla menus for a personalized experience.
- **Prefab Selection Memory**: Reopen FindStuff to find your last selected prefab waiting for you.
- **Dynamic UI Resizing**: Expand or compact the FindStuff menu to suit your screen and preferences.
- **Advanced Search and Filtering**: Pinpoint searches with filters and sorting for a smoother selection process.
- **Shortcuts and Language Support**: Quick access and full language support make FindStuff universally easy to use.

### Be Part of the Journey
**FindStuff** is evolving, and your feedback helps us make it better. Join us in development, share your thoughts, or report issues on our [Discord](https://discord.gg/M9rgRtGcRa).

### Thanks to Our Team and Community
A shoutout to the brilliant minds behind FindStuff: [optimus-code](https://github.com/optimus-code), [89pleasure](https://github.com/89pleasure), and the entire Cities 2 Modding community. Special thanks to Rebecca, CaptainOfCoit, Colossal Order, and Paradox Interactive for their support.

**Powered by [Gooee](https://github.com/Cities2Modding/Gooee)**, the dedicated UI framework for Cities: Skylines 2 mods.

Thank you for choosing FindStuff. Happy building!